Bug 302904 - import photos causes progress manager to pop up
Summary: import photos causes progress manager to pop up
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: ProgressManager-Batch (show other bugs)
Version: 2.6.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-02 15:15 UTC by Gus Gustafson
Modified: 2022-02-05 15:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gus Gustafson 2012-07-02 15:15:38 UTC
After importing photos using digikam from a camera via PTP, the "import" indicator in the bottom right hand side (i think this is the "progress manager") does not disappear--continues to say 0% even though it has completecd, and occasionally and randomly, the progress indicator expands or "pops up."  After restarting digikam, the behavior stops until another import is performed.
Comment 1 caulier.gilles 2013-07-26 08:02:55 UTC
Git commit 37fdcdead495bdba732932d19145c3155e6b8477 by Gilles Caulier.
Committed on 26/07/2013 at 07:58.
Pushed by cgilles into branch 'master'.

Add a signal in scan controller to dispatch progress of scan in ScheduleCollectionScan mode through NewItemsFinder from Maintenance collection tools.
Fix ImportUI which dispatch trough StatusProgressBar download information to ProgressMAnager which handing up a progress item when download is completed.
FIXED-IN: 3.3.0

M  +1    -0    digikam/database/scancontroller.cpp
M  +1    -0    digikam/database/scancontroller.h
M  +35   -28   libs/widgets/common/statusprogressbar.cpp
M  +5    -5    libs/widgets/common/statusprogressbar.h
M  +4    -3    utilities/importui/main/importui.cpp
M  +25   -2    utilities/maintenance/newitemsfinder.cpp
M  +2    -1    utilities/maintenance/newitemsfinder.h

http://commits.kde.org/digikam/37fdcdead495bdba732932d19145c3155e6b8477